---
layout: feature-kubernetes
title: GitLab + Cloud Native
description: GitLab’s Kubernetes Integration lets you build, test, deploy, and run your app at scale.
suppress_header: true
extra_css:
  - gitlab-feature-landing-page.css
  - features.css
  - kubernetes.css
extra_js:
  - all-clickable.js
---

.wrapper.gitlab-ee-page
  = partial "includes/features/gitlab-ee-nav"
  .image-title
    .color-bg
      %div
        %h1 GitLab + Cloud Native
        %h3#ci-subt An innovative way to build and run applications
        -#%a.btn.btn-lg.btn-white{ href: "https://docs.gitlab.com/ee/user/project/integrations/jira.html", target: "_blank" } Documentation
  .sub-wrapper
    .container
      .row.advantages
        .col-xs-12.col-md-10.col-md-offset-1
          %h2 What is Cloud Native?
          %p.overview
            Taking full advantage of the power of the cloud computing model and container schedulers, Cloud Native is an innovative way to build and run applications. Cloud Native applications are built to run in the cloud, moving the focus away from machines to the actual service.
          %p.overview
            Because cloud native applications are often architectured using microservices instead of a monolithic application structure, they rely on containers to package the application’s libraries and processes for deployment. Microservices allow developers to build deployable apps that are decomposed into individual modules that focus on performing one specific service. This decentralization makes for a more stable environment by limiting the potential of full application failure due to an isolated problem.
          %p.overview
            Cloud orchestration tools, like
            %a{ href: "https://about.gitlab.com/kubernetes/" }Kubernetes,
            allow developers to coordinate the way in which an application’s containers will function, including scaling and deployment.
          %p.overview
            Cloud native app development requires a shift to a DevOps operating structure. This means development and operations teams will much work more collaboratively, leading to a faster and smoother production process.
          %p.overview
            Using Cloud Native to build your applications has a number of tangible benefits because it:
          %ul
            %li
              Frees up your developers’ time
            %li
              Saves money by monitoring and scaling application resources through cloud orchestration, i.e. container schedulers
            %li
              Results in faster shipping
            %li
              Aligns operations with business goals
            %li
              Allows stakeholders more time to focus on building their business
      %hr.divider/

      .row
        .col-xs-12.col-md-10.col-md-offset-1
          %h2 GitLab is the place to build cloud native applications
          %p.overview
            Cloud native applications are the future of software development and GitLab is the best place to build these apps.
          %p.overview
            When transitioning to cloud native applications, your team will see a large increase in the number of projects that need to be managed because of the required use of microservices. The surge in project volume calls for consistent and efficient application lifecycle management — this is where GitLab comes in.
          %p.overview
            %strong
              GitLab is a single application with everything you need for
              %a{ href: "https://about.gitlab.com/sdlc/" }end-to-end software development and operations.
              From issue tracking and source code management to CI/CD and monitoring, having it all in one place simplifies toolchain complexity and speeds up cycle times. With a
              %a{ href: "https://docs.gitlab.com/ee/user/project/container_registry.html" }built-in container registry
              and
              %a{ href: "https://docs.gitlab.com/ee/user/project/integrations/kubernetes.html" }Kubernetes integration,
              GitLab makes it easier than ever to get started with containers and cloud native development.

      %hr.divider/

      .row
        .col-xs-12.col-md-10.col-md-offset-1
          %iframe{src: "https://www.youtube.com/embed/wtaOQY_ITvQ", width: 560, height: 315, allow: "autoplay; encrypted-media", allowfullscreen: "allowfullscreen"}


      %hr.divider/


      = partial "includes/blog/try"

      %hr.divider/

      %section.feature-group
        .row.flex-row
          .col-sm-12.col-md-6.col-lg-3.feature.js-all-clickable
            .feature-media
              = image_tag "/images/home/feature-thumb-enterprise-demo.png", alt: 'GitLab Enterprise Edition screenshot', srcset: "/images/home/feature-thumb-enterprise-demo_2x.png 2x"
            .feature-body
              %h3.feature-label Resource
              %h2.feature-title Cloud Native Webinar
              %p.feature-description
              %a.feature-more{ href: "http://get.gitlab.com/cloud-native/", target: "_blank" } Watch now
          .col-sm-12.col-md-6.col-lg-3.feature.js-all-clickable
            .feature-media
              = image_tag "/images/home/feature-thumb-blog.png", alt: 'Install GitLab on Kubernetes'
            .feature-body
              %h3.feature-label Resource
              %h2.feature-title Cloud Native Development with GitLab
              %p.feature-description
              %a.feature-more{ href: "https://about.gitlab.com/2017/04/18/cloud-native-demo/", target: "_blank" } Read more
          .col-sm-12.col-md-6.col-lg-3.feature.js-all-clickable
            .feature-media
              = image_tag "/images/home/feature-thumb-gitlab-com.png", alt: 'GitLab.com screenshot'
            .feature-body
              %h3.feature-label Docs
              %h2.feature-title Auto DevOps Documentation
              %p.feature-description
              %a.feature-more{ href: "https://docs.gitlab.com/ee/topics/autodevops/index.html", target: "_blank" } Read more

          .col-sm-12.col-md-6.col-lg-3.feature.js-all-clickable
            .feature-media
              = image_tag "/images/home/feature-thumb-blog.png", alt: 'GitLab Navigation screenshot', srcset: "/images/home/feature-thumb-blog_2x.png 2x"
            .feature-body
              %h3.feature-label Blog
              %h2.feature-title Create a CI/CD Pipeline with Auto Deploy
              %p.feature-description
              %a.feature-more{href: "/2017/09/21/how-to-create-ci-cd-pipeline-with-autodeploy-to-kubernetes-using-gitlab-and-helm/"} Read more

      %hr.divider.blank/
